- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::Basics::CFloat Class Reference

Inheritance diagram for Exponent::Basics::CFloat:

List of all members.

## Detailed Description

Wrapper around built in float type.

Basic wrapper around a built in float type giving it CCountedObject functionality

Date:
  21/08/2004

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CFloat.hpp,v 1.3 2007/02/08 21:06:44 paul Exp

Definition at line 37 of file CFloat.hpp.

## Public Member Functions

- CFloat (const float value=0.f)
- virtual void getObjectDescription (char *string, const long size) const
- float getValue () const
- CString getValueAsString (const long decimalPlaces=2) const
- CFloat & operator * (const float value)
- CFloat & operator * (const CFloat &value)
- bool operator! ()
- bool operator!= (const float value)
- bool operator!= (const CFloat &value)
- CFloat & operator+ (const float value)
- CFloat & operator+ (const CFloat &value)
- CFloat & operator+= (const float value)
- CFloat & operator+= (const CFloat &value)
- CFloat & operator- (const float value)
- CFloat & operator- (const CFloat &value)
- CFloat & operator-= (const float value)
- CFloat & operator-= (const CFloat &value)
- CFloat & operator/ (const float value)
- CFloat & operator/ (const CFloat &value)
- CFloat & operator= (const float value)
- CFloat & operator= (const CFloat &value)
- bool operator== (const float value)
- bool operator== (const CFloat &value)
- void setValue (const float value)
- void setValue (const CFloat &value)
- virtual ~CFloat ()

## Protected Attributes

- float m_value

## Constructor & Destructor Documentation

Exponent::Basics::CFloat::CFloat | ( | const float | value = `0.f` | ) |

Construction

Parameters:

  | value | The value to store

virtual Exponent::Basics::CFloat::~CFloat | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

virtual void Exponent::Basics::CFloat::getObjectDescription | ( | char * | string,
|  | const long | size |
| ) |  |  | const`[virtual]`

Get a description of the object

Parameters:

  | string | On return is filled with the description
  | size | The size of the stirng

Reimplemented from Exponent::Basics::CCountedObject.

float Exponent::Basics::CFloat::getValue | ( |  | ) | const

Get the value

Return values:

  | double | The value

CString Exponent::Basics::CFloat::getValueAsString | ( | const long | decimalPlaces = `2` | ) | const

Get as a string

Parameters:

  | decimalPlaces | The number of decimal places precision required

Return values:

  | CString* | The double as a string (up to you to delete the CString returned)

CFloat& Exponent::Basics::CFloat::operator * | ( | const float | value | ) |

Multiplication operator

Parameters:

  | value | The value to multiply with this

Return values:

  | CFloat& | A reference to this

CFloat& Exponent::Basics::CFloat::operator * | ( | const CFloat & | value | ) |

Multiplication operator

Parameters:

  | value | The value to multiply with this

Return values:

  | CFloat& | A reference to this

bool Exponent::Basics::CFloat::operator! | ( |  | ) |

! operator

Return values:

  | bool | True if value == 0, false otherwise

bool Exponent::Basics::CFloat::operator!= | ( | const float | value | ) |

InEquality operator

Parameters:

  | value | The value to compare to

Return values:

  | bool | True if values are inequal, false otherwise

bool Exponent::Basics::CFloat::operator!= | ( | const CFloat & | value | ) |

InEquality operator

Parameters:

  | value | The value to compare to

Return values:

  | bool | True if values are inequal, false otherwise

CFloat& Exponent::Basics::CFloat::operator+ | ( | const float | value | ) |

Addition operator

Parameters:

  | value | The value to add to this

Return values:

  | CFloat& | A reference to this

CFloat& Exponent::Basics::CFloat::operator+ | ( | const CFloat & | value | ) |

Addition operator

Parameters:

  | value | The value to add to this

Return values:

  | CFloat& | A reference to this

CFloat& Exponent::Basics::CFloat::operator+= | ( | const float | value | ) |

Plus equals operator

Parameters:

  | value | The value to add to this

Return values:

  | CFloat& | A reference to this

CFloat& Exponent::Basics::CFloat::operator+= | ( | const CFloat & | value | ) |

Plus equals operator

Parameters:

  | value | The value to add to this

Return values:

  | CFloat& | A reference to this

CFloat& Exponent::Basics::CFloat::operator- | ( | const float | value | ) |

Subtraction operator

Parameters:

  | value | The value to subtract from this

Return values:

  | CFloat& | A reference to this

CFloat& Exponent::Basics::CFloat::operator- | ( | const CFloat & | value | ) |

Subtraction operator

Parameters:

  | value | The value to subtract from this

Return values:

  | CFloat& | A reference to this

CFloat& Exponent::Basics::CFloat::operator-= | ( | const float | value | ) |

Neg equals operator

Parameters:

  | value | The value to subtract from this

Return values:

  | CFloat& | A reference to this

CFloat& Exponent::Basics::CFloat::operator-= | ( | const CFloat & | value | ) |

Neg equals operator

Parameters:

  | value | The value to subtract from this

Return values:

  | CFloat& | A reference to this

CFloat& Exponent::Basics::CFloat::operator/ | ( | const float | value | ) |

Division operator

Parameters:

  | value | The value to divide with this

Return values:

  | CFloat& | A reference to this

CFloat& Exponent::Basics::CFloat::operator/ | ( | const CFloat & | value | ) |

Division operator

Parameters:

  | value | The value to divide with this

Return values:

  | CFloat& | A reference to this

CFloat& Exponent::Basics::CFloat::operator= | ( | const float | value | ) |

Assignment operator

Parameters:

  | value | The value to store

Return values:

  | CFloat& | A reference to this

CFloat& Exponent::Basics::CFloat::operator= | ( | const CFloat & | value | ) |

Assignment operator

Parameters:

  | value | The value to store

Return values:

  | CFloat& | A reference to this

bool Exponent::Basics::CFloat::operator== | ( | const float | value | ) |

Equality operator

Parameters:

  | value | The value to compare to

Return values:

  | bool | True if values are equal, false otherwise

bool Exponent::Basics::CFloat::operator== | ( | const CFloat & | value | ) |

Equality operator

Parameters:

  | value | The value to compare to

Return values:

  | bool | True if values are equal, false otherwise

void Exponent::Basics::CFloat::setValue | ( | const float | value | ) |

Set the value

Parameters:

  | value | The value to store

void Exponent::Basics::CFloat::setValue | ( | const CFloat & | value | ) |

Set the value

Parameters:

  | value | The value to store

## Member Data Documentation

float Exponent::Basics::CFloat::m_value`[protected]`

The value stored

Definition at line 236 of file CFloat.hpp.